<template>
  <div
    :class="`inline-block cursor-pointer font-bold bg-${color}-default w-full text-center text-white hover:text-white rounded-md py-2 px-4`"
    @click="onClick"
  >
    <slot></slot>
  </div>
</template>

<script>
export default {
  name: 'BActionButton',
  props: {
    color: {
      type: String,
      default: 'blue',
    },
  },
  methods: {
    onClick() {
      this.$emit('click')
    },
  },
}
</script>
